eID middleware |

# be.portugal.eid.PTEID_ExDocTypeUnknown Class Reference

Exception class Document Type Unknown (error code = EIDMW_ERR_DOCTYPE_UNKNOWN). More...

Inheritance diagram for be.portugal.eid.PTEID_ExDocTypeUnknown:

List of all members.

## Public Member Functions

synchronized void | delete ()
| PTEID_ExDocTypeUnknown ()
| Constructor.

## Protected Member Functions

| PTEID_ExDocTypeUnknown (long cPtr, boolean cMemoryOwn)
void | finalize ()

## Static Protected Member Functions

static long | getCPtr (PTEID_ExDocTypeUnknown obj)

## Detailed Description

Exception class Document Type Unknown (error code = EIDMW_ERR_DOCTYPE_UNKNOWN).

Thrown when the document type doesn't exist for this card Used in : - PTEID_Card.getDocument(PTEID_DocumentType type)

## Constructor & Destructor Documentation

be.portugal.eid.PTEID_ExDocTypeUnknown.PTEID_ExDocTypeUnknown | ( | long | cPtr,
|  | boolean | cMemoryOwn |
| ) |  |  | `[protected]`

be.portugal.eid.PTEID_ExDocTypeUnknown.PTEID_ExDocTypeUnknown | ( |  | ) |

Constructor.

## Member Function Documentation

synchronized void be.portugal.eid.PTEID_ExDocTypeUnknown.delete | ( |  | ) |

Reimplemented from be.portugal.eid.PTEID_Exception.

References be.portugal.eid.PTEID_Exception.swigCMemOwn.

void be.portugal.eid.PTEID_ExDocTypeUnknown.finalize | ( |  | ) | `[protected]`

Reimplemented from be.portugal.eid.PTEID_Exception.

static long be.portugal.eid.PTEID_ExDocTypeUnknown.getCPtr | ( | PTEID_ExDocTypeUnknown | obj | ) | `[static, protected]`

References be.portugal.eid.PTEID_ExDocTypeUnknown.swigCPtr.